
Figure - 需求 Requirement #112593
【BSP】【EVT2】【MCU】【必现】刷机后，系统设置中无法查看MCU版本
2022-10-17 14:42 - CDTS_TEST 刘勇

Status: 完成 Closed Start date: 2022-10-17

Priority: High Due date:

Assignee: CDTS_TEST 刘勇 % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Description

前置条件：

1.烧录版本到MCU

操作步骤：

1.查看MCU当前版本

实际结果：

1、无法查看MCU版本

预期结果：

1.可以查看并符合MCU定义规则

History

#1 - 2022-10-17 15:09 - CDTS_TEST 刘勇

- Tracker changed from Bug to 需求 Requirement

- Subject changed from 【BSP】【EVT2】【MCU】【必现】刷机后，无法查看MCU版本 to 【BSP】【EVT2】【MCU】【必现】刷机后，系统设置中无法

查看MCU版本

- Assignee changed from CD BSP-陈杰 to CD FW-王伟

#2 - 2022-10-17 18:54 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD- FW-石豪

#3 - 2022-10-19 14:36 - CD- FW-石豪

- Status changed from New to 取消 Canceled

经过核对，目前没有这个需求，在以后的版本中查看MCU版本，请通过一下两种方式

1、通过开机日志查看

命令：adb logcat | grep -i MCUUpdate ，正常会有如下打印

10-18 01:12:02.277 2463 2549 D MCUUpdate: Check MCU current version :res = 0

10-18 01:12:02.305 2463 2541 D MCUUpdate: MCU version: 86 length: 9

10-18 01:12:02.305 2463 2541 D MCUUpdate: Current version: V0.0.2, Find version: null

2、通过桌面的McuUpgrade app进行查看（此app为测试app，以后会移除，目前开发阶段可用）

#4 - 2022-10-19 14:38 - CD- FW-石豪

- Assignee changed from CD- FW-石豪 to CDTS_TEST 刘勇

#5 - 2022-10-19 15:04 - CDTS_TEST 刘勇

- Status changed from 取消 Canceled to 完成 Closed
